Members

Get all groups of the member user

GET
/api/v1/members/{memberId}/groups

Get the list of all groups of the member user within the current organization.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

memberId*string
Formatuuid

Query Parameters

Name?string

The name or part of the name of a group

GetAllGroups?boolean

Whether to filter on all groups of the current organization

PageIndex?integer

The index of the page to be returned. Default is 0.

Formatint32
PageSize?integer

The size of the page to be returned. Default is 10.

Formatint32

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/members/497f6eca-6276-4993-bfeb-53cbbbba6f08/groups"
{  "success": true,  "errors": [    "string"  ],  "data": {    "totalCount": 0,    "items": [      {        "id": "string",        "name": "string",        "description": "string",        "memberId": "string",        "isGroupMember": true      }    ]  }}